Welcome to TP-LINK Tech Support Forum
+ Reply to Thread
Results 1 to 2 of 2
  1. #1
    Junior Member sgrobinson is on a distinguished road
    Join Date
    Feb 2018
    Posts
    1

    CPE510 V2 with CPE510 V1

    Model :

    Hardware Version :

    Firmware Version :

    ISP : [/COLOR]

    Hello!

    Are they compatiable?

    I'm in the UK and a CPE510 V1 with V1 works, but a V2 with V1 doesn't appear to work. Possibly as it's missing the 'Region' setting?

    If so - Looks like I'll have to somehow get an RMA out of tp-link!

  2. #2
    Members R1D2 is on a distinguished road
    Join Date
    Dec 2015
    Posts
    1,436
    Quote Originally Posted by sgrobinson View Post
    Are they compatiable?
    Yes, they are compatible to each other. They even use the very same firmware (despite version numbering), meaning you can install the v2 firmware on a CPE510 v1 (valid for CPE510 v2 firmware only).

    I'm in the UK and a CPE510 V1 with V1 works, but a V2 with V1 doesn't appear to work. Possibly as it's missing the 'Region' setting?
    If your CPE510v2 has been bought in the EU, it uses the EU region automatically - no need to set region anymore. You just need to set the CPE510v1 to region "UK". Note, that albeit you can install the v2 firmware on a v1 device, the CPEv1 still will offer region settings even with v2 firmware while the CPEv2 does not.

    Maybe it makes sense to install latest firmware 2.1.11 from January 26, 2018 on both devices.
    Last edited by R1D2; 02-02-2018 at 17:15.


 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts

Copyright 1996-2018 TP-LINK Technologies Co., Ltd. All rights reserved.